summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--multimedia/harmonySEQ/README21
-rw-r--r--multimedia/harmonySEQ/doinst.sh13
-rw-r--r--multimedia/harmonySEQ/harmonySEQ.SlackBuild75
-rw-r--r--multimedia/harmonySEQ/harmonySEQ.info10
-rw-r--r--multimedia/harmonySEQ/slack-desc19
5 files changed, 138 insertions, 0 deletions
diff --git a/multimedia/harmonySEQ/README b/multimedia/harmonySEQ/README
new file mode 100644
index 0000000000..f6ce3711c5
--- /dev/null
+++ b/multimedia/harmonySEQ/README
@@ -0,0 +1,21 @@
+harmonySEQ is a MIDI sequencer for Linux. Basically, it does what any
+sequencer do - it playbacks a sequence of notes. However, it is slightly
+different from most of the popular software sequencers.
+
+harmonySEQ allows you to create any number of so-called 'sequencers' (what
+a unique name!). All sequencers keep repeating the melody that is bound to
+them. You can set the tempo globally, that means that everytime each
+sequencer repeats his sequence with the same tempo as the others do. This
+keeps them synchronized!
+
+You can set each sequencer not only a sequence, but also the base chord,
+from which notes are chosen when playing the sequence. This way all
+sequencers can be easily tuned to each other, and the resulting sound will
+consist only of notes that sound great together!
+
+There is one more feature that makes harmonySEQ unique - the Events&Actions
+system. You can set how harmonySEQ should react on triggers like key press,
+MIDI note on, etc.
+
+harmonySEQ also has so-called control sequencers, that output MIDI
+controller events instead of notes.
diff --git a/multimedia/harmonySEQ/doinst.sh b/multimedia/harmonySEQ/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/multimedia/harmonySEQ/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/harmonySEQ/harmonySEQ.SlackBuild b/multimedia/harmonySEQ/harmonySEQ.SlackBuild
new file mode 100644
index 0000000000..39c7230e1c
--- /dev/null
+++ b/multimedia/harmonySEQ/harmonySEQ.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for harmonyseq
+
+# Written by Zbigniew Baniewski, <Zbigniew.Baniewski@gmail.com>
+
+PRGNAM=harmonySEQ
+VERSION=${VERSION:-0.16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar zxvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/harmonySEQ/harmonySEQ.info b/multimedia/harmonySEQ/harmonySEQ.info
new file mode 100644
index 0000000000..92d5f1d850
--- /dev/null
+++ b/multimedia/harmonySEQ/harmonySEQ.info
@@ -0,0 +1,10 @@
+PRGNAM="harmonySEQ"
+VERSION="0.16"
+HOMEPAGE="http://harmonyseq.wordpress.com/"
+DOWNLOAD="http://launchpad.net/harmonyseq/stable/0.16/+download/harmonySEQ-0.16.tar.gz"
+MD5SUM="c6aae192bd3e0333fe42ef413e1259c6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gtkmm liblo"
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="Zbigniew.Baniewski@gmail.com"
diff --git a/multimedia/harmonySEQ/slack-desc b/multimedia/harmonySEQ/slack-desc
new file mode 100644
index 0000000000..420f6a4691
--- /dev/null
+++ b/multimedia/harmonySEQ/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+harmonyseq: harmonySEQ (a MIDI sequencer for Linux)
+harmonyseq:
+harmonyseq: A MIDI sequencing application helpful for music composers and
+harmonyseq: live artists (for Linux). Basically, it does what any sequencer
+harmonyseq: do - it playbacks a sequence of notes. However, it is slightly
+harmonyseq: different from most of the popular software sequencers.
+harmonyseq:
+harmonyseq: http://harmonyseq.wordpress.com/
+harmonyseq:
+harmonyseq:
+harmonyseq: